script_name("Flestory360")
script_author("Sanek Perforator")
script_dependencies("SAMP")
require "lib.moonloader"
local encoding = require "encoding"  -- Подключаем библиотеку кодировок
encoding.default = 'CP1251'          -- Устанавливаем кодировку CP1251
u8 = encoding.UTF8                   -- Функция для преобразования текста

-----------------------------------
local E = -0.3  -- 360 в право.
local F = 0.3   -- 360 в лево.
------------------------------------
local brc = true

function main()
    -- Ждём загрузки SAMP перед отправкой приветствия
    while not isSampLoaded() or not isSampAvailable() do
        wait(100)
    end

    -- Сообщение в чат при запуске скрипта с конвертацией в CP1251
    sampAddChatMessage(u8:decode("{B22222}[FlestoryCar360] {FFB6C1}Скрипт на 360 подгружен. Автор: Sanek Perforator"), -1)
    sampAddChatMessage(u8:decode("{B22222}[Деактивация] {FFB6C1}/perforator"), -1)

    sampRegisterChatCommand("perforator", activ)
    while true do
        wait(0)
        if brc and isCharInAnyCar(playerPed) and not sampIsDialogActive() and not sampIsChatInputActive() then
            local car = storeCarCharIsInNoSave(playerPed)
            if isKeyDown(VK_C) then
                addToCarRotationVelocity(car, 0, 0, E) -- Кручение в право.
            end
            if isKeyDown(VK_X) then
                addToCarRotationVelocity(car, 0, 0, F) -- Кручение в лево.
            end
        end
    end
end

function activ()
    brc = not brc
    if brc then
        sampAddChatMessage(u8:decode("{00FF00}Скрипт на 360 активирован. Нажми C или же X для вращения."), -1)
    else
        sampAddChatMessage(u8:decode("{FF0000}Скрипт на 360 деактивирован."), -1)
    end
end
